Skip to main content
PATCH
Update Folder Handler

Headers

authorization
string | null

Path Parameters

folder_id
string<uuid>
required

Cookies

ks_uat
string | null

Body

application/json

Request to update a folder (rename and/or move).

name
string | null

New folder name

Required string length: 1 - 255
parent_path_part_id
string<uuid> | null

New parent PathPart ID for move (must be a FOLDER type)

Response

Successful Response

Folder response model.

part_type
enum<string>
required

Path part type

Available options:
FOLDER
id
string<uuid>
required

Folder ID

path_part_id
string<uuid>
required

PathPart ID

name
string
required

Folder name

parent_path_part_id
string<uuid> | null
required

Parent PathPart ID

materialized_path
string
required

Full materialized path from root

system_managed
boolean
required

Whether this folder is system-managed

tenant_id
string<uuid>
required

Tenant ID

created_at
string<date-time>
required

Creation timestamp

updated_at
string<date-time>
required

Last update timestamp

tags
TagResponse · object[] | null

Tags attached to this folder